Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ValueUpdater Class Reference

`#include <coherence/util/ValueUpdater.hpp>`

Inherits Object.

Inherited by AbstractUpdater `[virtual]`, CompositeUpdater `[virtual]`, PofUpdater `[virtual]`, and ReflectionUpdater `[virtual]`.

List of all members.

## Detailed Description

ValueUpdater is used to update an object's state.

Author:
  jh 2008.02.26

## Public Types
typedef spec::Handle | Handle
| ValueUpdater Handle definition.
typedef spec::View | View
| ValueUpdater View definition.
typedef spec::Holder | Holder
| ValueUpdater Holder definition.
## Public Member Functions
virtual void | update (Object::Handle hTarget, Object::Holder ohValue) const =0
| Update the state of the passed target object using the passed value.

## Member Function Documentation

virtual void update | ( | Object::Handle | hTarget,
|  | Object::Holder | ohValue |
| ) |  |  | const `[pure virtual]`

Update the state of the passed target object using the passed value.

Parameters:

  | hTarget | the Object to update the state of
  | ohValue | the new value to update the state with

Exceptions:

  | ClassCastException | if this ValueUpdater is incompatible with the passed target object or the value and the implementation requires the passed object or the value to be of a certain type
  | Exception | if this ValueUpdater encounters a checked exception in the course of updating the target object
  | IllegalArgumentException | if this ValueUpdater cannot handle the passed target object or value for any other reason; an implementor should include a descriptive message

Implemented in AbstractUpdater, CompositeUpdater, PofUpdater, ReflectionUpdater, TypedUpdater, and TypedUpdater< AH::ValueType::BoxedType, C, M, coherence::lang::BoxHandle< AH::ValueType >, OH >.

The documentation for this class was generated from the following file:

- coherence/util/ValueUpdater.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.